
Redmine - Feature #2258

Email reminder subject does not include the # of days

2008-12-01 21:18 - Robert Chady

Status: Closed Start date: 2008-12-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

When email reminders go out via the rake task, the message body contains the # of issues and the # of days that were specified. 

Unfortunately, the subject only lists the # of issues, but does not include the # of days.  I send out the reminders with different #days

look-ahead for different purposes.

So, I'm requesting that the # of days be included in the subject as well.  I looked at the code and it is an easy change, but all of the

lang files have to be updated as well.  Instead of just doing this local, I figured I'd request it.

Thanks!

History

#1 - 2009-05-04 19:55 - Robert Chady

Bringing this one back up.  I had modified mailer.rb and en.yml's :mail_subject_reminder value to provide similar content to what is in the body,

namely '5 issue(s) due in the next 7 days' vs '5 issue(s) due in the next days'.  Since I send out reminders with different :days values, it is useful to

have that available in the subject line to help differentiate between the different reminders.

However, I just updated to the latest trunk and l() no longer appears to support >2 args?  The call to

l(:mail_subject_reminder, issues.size, days) was returning the error 'Translation string with multiple values: mail_subject_reminder'.

Not familiar with this enough to make this work on my local copy any more.  Any way we could get this fixed in trunk?

#2 - 2011-03-24 10:41 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2011-11-28 06:10 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

This was fixed by r3907 merged into Redmine 1.0.1 with r3957.
